package de.ivu.elect.presentation.wahl;

import javax.inject.Inject;

import de.ivu.elect.business.wahl.boundary.WahlSessionSelect;
import de.ivu.elect.business.wahl.entity.NlWahlCustomData;
import de.ivu.elect.business.wahl.entity.Wahl;

public class NlBackupStatus {

  @Inject
  private transient WahlSessionSelect wahlSessionSelect;

  public boolean isBackupRestoreFreigeschaltet() {
    Wahl entity = wahlSessionSelect.getEntity();
    return entity != null && entity.getCustomData(NlWahlCustomData.class).isBackupRestoreEnabled();
  }
}
